searchNodes=[{"doc":"Library for manipulating metadata in PNG files. PNG files consist of a magic number, a mandatory header chunk, then a list of optional chunks. This library splits the file into a list of chunks with a cursor and allows you to insert and remove chunks. A standard PNG may consist of: magic number (8 bytes) IHDR - mandatory first chunk of a PNG datastream PLTE - pallete for indexed PNG images &lt;-- IDAT - image data chunk(s) IEND - image trailer, the last in a PNG datastream Consider the use case of inserting copyright metadata. After parsing your image you receive a list of chunks in the form of a list-zipper which is a tuple of the list of chunks up until IDHR, then the focus (probably PLTE), then the remaining list of chunks after the focus. You may immediately insert your new chunks to the left of the focus and after the IHDR, or navigate to the end and append new chunks there. There are three forms of textual chunks: tEXt - simple key-value using the Latin-1 character set iTXt - simple key-value using UTF-8 encoding with optional value compression zTXt - equivalent to tEXt but using deflate compression for large text blocks When finished the list of chunks can be written out to a file or a buffer.","ref":"ChunkPNG.html","title":"ChunkPNG","type":"module"},{"doc":"Insert a chunk to the left of the focus","ref":"ChunkPNG.html#insert_left/2","title":"ChunkPNG.insert_left/2","type":"function"},{"doc":"Parse a PNG from in-memory buffer","ref":"ChunkPNG.html#parse_buffer/1","title":"ChunkPNG.parse_buffer/1","type":"function"},{"doc":"Parse a PNG file into a zipper of a list of chunks","ref":"ChunkPNG.html#parse_file!/1","title":"ChunkPNG.parse_file!/1","type":"function"},{"doc":"Write a chunk zipper as a binary PNG datastream","ref":"ChunkPNG.html#write_buffer/1","title":"ChunkPNG.write_buffer/1","type":"function"},{"doc":"Write a chunk zipper to a PNG file","ref":"ChunkPNG.html#write_file/2","title":"ChunkPNG.write_file/2","type":"function"},{"doc":"","ref":"ChunkPNG.html#t:zipper/0","title":"ChunkPNG.zipper/0","type":"type"},{"doc":"Data structure of a PNG chunk","ref":"ChunkPNG.Chunk.html","title":"ChunkPNG.Chunk","type":"module"},{"doc":"","ref":"ChunkPNG.Chunk.html#t:t/0","title":"ChunkPNG.Chunk.t/0","type":"type"},{"doc":"tEXt Textual data Encode an uncompressed key-value pair using Latin-1/ISO_8859-1 character set. For UTF-8 see ChunkPNG.ITXT See https://www.w3.org/TR/png/#11tEXt","ref":"ChunkPNG.TEXT.html","title":"ChunkPNG.TEXT","type":"module"},{"doc":"Create a new key-value text chunk. The key must be 1-79 characters. Raises if the input binaries contain characters outside of Latin-1 character set.","ref":"ChunkPNG.TEXT.html#new!/2","title":"ChunkPNG.TEXT.new!/2","type":"function"}]